<?php
$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_1044ad6ec3f2b" . "15d20a3b7353cf" . "b4d02" => base64_decode("U0VMRUNUIENPVU5UKCopIEZST00gcmJfb2JqIFdIRVJFIHBpZD" . "1pbnQ6aWQ="), "_2acee84" . "48262945" . "1244aab9" . "6a01623c" . "d" => base64_decode("cm9vbQ" . "=="), "_e98bb44779e2719d990b12523648e30" . "7" => base64_decode("U0VMRUNUIGlkIEZST00gcmJfZXZlbnRzIFdIRVJFIHBpZCA9IC0xIEFORCByb29tX2l" . "kID0gaW50Omlk"), "_8695e37b2f8e63ab89c46908290193" . "ec" => base64_decode("c2VsZWN0IHJiX2xpbmtzLm9ial9pZCBmcm9tIHJiX2xpbmtzLCByYl9vYmogd2hlcmUgcmJfbGlua3MudmFsPWludDppZCBhbmQgcmJfb2JqLnR5cGU9J2ZhYycgYW5kIH" . "JiX29iai5pc19zdXNwZW5kZWQ9MCBhbmQgcmJfbGlua3Mub2JqX2lkPXJiX29iai5pZCBhbmQgcmJfbGlua3MuYm9va2luZz1pbnQ6Ym9va2luZw=="), "_5b81cb6cf" . "0bfd990583" . "fc12ddd80c" . "d32" => base64_decode("Z" . "m" . "F" . "j"), "_b3a356a0e25822" . "49702c68be98871" . "58b" => base64_decode("KGludDppZDEsICdyb29tJywgaW50O" . "mlkMiwgMCk="), "_f318226b856b8a65f1826300a2816" . "17b" => base64_decode("REVMRVRFIEZST00gcmJfbGlua3MgV0hFUkUgdmFsPWludDppZCBBTkQgdHlwZT0ncm9vbScgQU5EIGJvb2tpbmc9aW50OmJv" . "b2tpbmc="), "_934da0e4d27867" . "b72605f2f2a82dd" . "ad0" => base64_decode("KGludDppZDEs" . "IHN0cjprZXks" . "IGludDppZDIs" . "IDAp"));
class RBRoom extends RBMainClass
{
    public function __construct($_876ca2097b275e704d71e00d36b3e7c5, $name = 'EmptyName')
    {
        parent::__construct($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_2acee84482629451244aa" . "b96a01623cd"], $_876ca2097b275e704d71e00d36b3e7c5, $name);
    }
    public function Load($id)
    {
        parent::Load($id);
        $this->_loadFacilities();
    }
    protected function _loadFacilities()
    {
        global $db;
        $query = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_8695e37b2f" . "8e63ab89c46" . "908290193ec"];
        $_189840d11056515e52402d1412a0b6e4 = $db->query($query, $this->id, $this->booking);
        while (list($id) = $_189840d11056515e52402d1412a0b6e4->fetchRow()) {
            $this->AddObj($id, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_5b81cb6" . "cf0bfd99" . "0583fc12" . "ddd80cd3" . "2"]);
        }
    }
    protected function _createObjInsertString($key, $id)
    {
        if ($key == $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_5b81cb6cf0bfd990583" . "fc12ddd80cd32"]) {
            return new QueryPart($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_b3a356a0e2582249702c68" . "be9887158b"], $id, $this->id);
        }
        return new QueryPart($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_934da0e4d27867b72605f2f" . "2a82ddad0"], $this->id, $key, $id);
    }
    protected function _updateObjList()
    {
        global $db;
        $db->query($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_f318226b856b8a65f1826300a28161" . "7b"], $this->id, $this->booking);
        parent::_updateObjList();
    }
    function Delete($_ef6f2587bed6ce140025395807730533 = false)
    {
        global $db;
        $_343a395319323dd7609bcbc465b4d034 = $db->query($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_e98bb44779e2719d990b12523648e" . "307"], $this->id)->fetchAllValues();
        foreach ((array) $_343a395319323dd7609bcbc465b4d034 as $id) {
            $this->_facade->DeleteEvent($id);
        }
        parent::Delete();
    }
    public function isEmpty()
    {
        global $db;
        list($_f53d35a1a1e233d98d9ce73d92ab3bb1) = $db->query_row($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_1044ad6ec3f2b15d20a3b7353cf" . "b4d02"], $this->id);
        return $_f53d35a1a1e233d98d9ce73d92ab3bb1 < 1;
    }
}